{% if in_progress %}
    {% if not qr_reading %}
    <div style="height: 130px; overflow-y: scroll;">
        <table class="table" style="table-layout: fixed; font-size: 12px; text-align: center">
            <thead>
                <tr style="background-color: black; color: white; position: sticky; z-index: 1; top: 0;">
                    <th>Test Paper</th>
                    <th>Page Number</th>
                    <th>Question Version</th>
                </tr>
            </thead>
            <tbody>
                {% for paper_id, page_num, version_num in paper_list %}
                    <tr>
                        <td>{{ paper_id }}</td>
                        <td>{{ page_num }}</td>
                        <td>{{ version_num }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
    {% else %}
    <div hx-get="{% url 'scan_bundle_table' timestamp index %}" hx-trigger="every 1s" hx-swap="outerHTML">
        <div class="spinner-border"></div>
    </div>
    {% endif %}
{% else %}
<p>QR codes not read yet.</p>
{% endif %}